: Class TMatrix

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.util
Class TMatrix

    java.lang.Object
      |
      +--com.etymon.pj.util.TMatrix

public class TMatrix
extends java.lang.Object

Field Summary
`static float[][]` | `IDENTITY`

Constructor Summary
`TMatrix()`

Method Summary
`static float[][]` | `clone(float[][] m)`
`static float[][]` | `init()` Returns a new transformation matrix, initialized to the identity matrix.
`static float[][]` | `multiply(float[][] a, float[][] b)`
`static float[][]` | `toMatrix(float x, float y)`
`static float[][]` | `toMatrix(float a, float b, float c, float d, float x, float y)`
`static java.lang.String` | `toString(float[][] m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTITY

    public static float[][] IDENTITY

Constructor Detail

### TMatrix

    public TMatrix()

Method Detail

### init

    public static float[][] init()

  Returns a new transformation matrix, initialized to the identity matrix.

### toString

    public static java.lang.String toString(float[][] m)

### toMatrix

    public static float[][] toMatrix(float a,
                                     float b,
                                     float c,
                                     float d,
                                     float x,
                                     float y)

### clone

    public static float[][] clone(float[][] m)

### toMatrix

    public static float[][] toMatrix(float x,
                                     float y)

### multiply

    public static float[][] multiply(float[][] a,
                                     float[][] b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD